Bug 1189337 - (CVE-2021-32815) VUL-1: CVE-2021-32815: exiv2: exiv2: DoS due to assertion failure in crwimage_int.cpp
(CVE-2021-32815)
VUL-1: CVE-2021-32815: exiv2: exiv2: DoS due to assertion failure in crwimage...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/306106/
CVSSv3.1:SUSE:CVE-2021-32815:3.1:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-11 15:34 UTC by Gabriele Sonnu
Modified: 2022-11-29 17:41 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriele Sonnu 2021-08-11 15:34:56 UTC
Exiv2 is a command-line utility and C++ library for reading, writing, deleting, and modifying the metadata of image files. The assertion failure is triggered when Exiv2 is used to modify the metadata of a crafted image file. An attacker could potentially exploit the vulnerability to cause a denial of service, if they can trick the victim into running Exiv2 on a crafted image file. Note that this bug is only triggered when modifying the metadata, which is a less frequently used Exiv2 operation than reading the metadata. For example, to trigger the bug in the Exiv2 command-line application, you need to add an extra command-line argument such as `fi`. ### Patches The bug is fixed in version v0.27.5. ### References Regression test and bug fix: #1739 ### For more information Please see our [security policy](https://github.com/Exiv2/exiv2/security/policy) for information about Exiv2 security.

Reference:
https://github.com/Exiv2/exiv2/security/advisories/GHSA-mv9g-fxh2-m49m

Upstream patch:
https://github.com/Exiv2/exiv2/pull/1739

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1992198
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-32815
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-32815
https://github.com/Exiv2/exiv2/security/advisories/GHSA-mv9g-fxh2-m49m
https://github.com/Exiv2/exiv2/pull/1739
Comment 1 Gabriele Sonnu 2021-08-11 15:35:07 UTC
Affected Packages:

- SUSE:SLE-11:Update/exiv2  0.17.1
- SUSE:SLE-12:Update/exiv2  0.23
- SUSE:SLE-15:Update/exiv2  0.26
- openSUSE:Factory/exiv2    0.27.4
Comment 2 Dirk Mueller 2022-11-14 22:26:28 UTC
submitted for SLE12, SLE15 and SLE15-SP4. already fixed in Factory
Comment 4 OBSbugzilla Bot 2022-11-14 23:35:05 UTC
This is an autogenerated message for OBS integration:
This bug (1189337) was mentioned in
https://build.opensuse.org/request/show/1035724 Factory / exiv2
Comment 5 Swamp Workflow Management 2022-11-23 20:27:17 UTC
SUSE-SU-2022:4208-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1050257,1095070,1110282,1119559,1119560,1119562,1142677,1142678,1153577,1186231,1189337
CVE References: CVE-2017-11591,CVE-2018-11531,CVE-2018-17581,CVE-2018-20097,CVE-2018-20098,CVE-2018-20099,CVE-2019-13109,CVE-2019-13110,CVE-2019-17402,CVE-2021-29473,CVE-2021-32815
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    exiv2-0_26-0.26-150400.9.21.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    exiv2-0_26-0.26-150400.9.21.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-11-28 14:38:15 UTC
SUSE-SU-2022:4252-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1119562,1142681,1185002,1186231,1188733,1189332,1189337,1189338
CVE References: CVE-2018-20097,CVE-2019-13112,CVE-2021-29457,CVE-2021-29473,CVE-2021-31291,CVE-2021-32815,CVE-2021-34334,CVE-2021-37620
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    exiv2-0.23-12.18.1
SUSE OpenStack Cloud 9 (src):    exiv2-0.23-12.18.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    exiv2-0.23-12.18.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    exiv2-0.23-12.18.1
SUSE Linux Enterprise Server 12-SP5 (src):    exiv2-0.23-12.18.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    exiv2-0.23-12.18.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    exiv2-0.23-12.18.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    exiv2-0.23-12.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-11-29 17:41:31 UTC
SUSE-SU-2022:4276-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1050257,1095070,1110282,1119559,1119560,1119562,1142677,1142678,1153577,1186231,1189337
CVE References: CVE-2017-11591,CVE-2018-11531,CVE-2018-17581,CVE-2018-20097,CVE-2018-20098,CVE-2018-20099,CVE-2019-13109,CVE-2019-13110,CVE-2019-17402,CVE-2021-29473,CVE-2021-32815
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    exiv2-0.26-150000.6.26.1
SUSE Manager Server 4.1 (src):    exiv2-0.26-150000.6.26.1
SUSE Manager Retail Branch Server 4.1 (src):    exiv2-0.26-150000.6.26.1
SUSE Manager Proxy 4.1 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server for SAP 15 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    exiv2-0.26-150000.6.26.1
SUSE Enterprise Storage 7 (src):    exiv2-0.26-150000.6.26.1
SUSE Enterprise Storage 6 (src):    exiv2-0.26-150000.6.26.1
SUSE CaaS Platform 4.0 (src):    exiv2-0.26-150000.6.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.